import React from 'react'
import { withProps, compose } from 'recompose'

import { ContextualBox, ReviewerReportAuthor, Row, Text } from '../'

const SubmittedReportsNumberForAuthorReviews = ({ reports }) => (
  <Row fitContent justify="flex-end">
    <Text customId mr={1 / 2}>
      {reports}
    </Text>
    <Text mr={1 / 2} pr={1 / 2} secondary>
      {' '}
      submitted
    </Text>
  </Row>
)

const AuthorReviews = ({ invitations, journal, reports, fragment }) =>
  reports.length > 0 && (
    <ContextualBox
      label="Reviewer Reports"
      mb={2}
      rightChildren={
        <SubmittedReportsNumberForAuthorReviews reports={reports.length} />
      }
    >
      {reports.map((r, i) => (
        <ReviewerReportAuthor
          journal={journal}
          key={r.id}
          report={reports[i]}
        />
      ))}
    </ContextualBox>
  )

export default compose(withProps())(AuthorReviews)
